BDU:2021-02751: Уязвимость агента пересылки сообщений Exim, связанная с ошибками управления ресурсами, позволяющая нарушителю выполнить отказа в обслуживании (DoS)

Описание уязвимости Уязвимость агента пересылки сообщений Exim связана с ошибками управления ресурсами. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнить отказа в обслуживании (DoS) путем передачи приложения специально сформированных данных
Вендор Canonical Ltd., ООО «РусБИТех-Астра», Сообщество свободного программного обеспечения, ООО «Ред Софт», GNU General Public License, АО "НППКТ"
Наименование ПО Ubuntu, Astra Linux Special Edition (запись в едином реестре российских программ №369), Debian GNU/Linux, Astra Linux Common Edition (запись в едином реестре российских программ №4433), РЕД ОС (запись в едином реестре российских программ №3751), Astra Linux Special Edition для «Эльбрус» (запись в едином реестре российских программ №11156), exim, ОСОН ОСнова Оnyx (запись в едином реестре российских программ №5913)
Версия ПО
  • 18.04 LTS (Ubuntu)
  • 1.6 «Смоленск» (Astra Linux Special Edition)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 2.12 «Орёл» (Astra Linux Common Edition)
  • 10.0 (Debian GNU/Linux)
  • 7.2 Муром (РЕД ОС)
  • 8.1 «Ленинград» (Astra Linux Special Edition для «Эльбрус»)
  • 20.04 LTS (Ubuntu)
  • 20.10 (Ubuntu)
  • 21.04 (Ubuntu)
  • от 4.0 до 4.94.1 (exim)
  • от 4.88 до 4.94.2 (exim)
  • 4.7 (Astra Linux Special Edition)
  • до 2.1 (ОСОН ОСнова Оnyx)
Тип ПО Операционная система, Сетевое программное средство
Операционные системы и аппаратные платформы
Тип ошибки Ошибки управления ресурсом, Неверная инициализация
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 20.10.2020
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 5)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)
Возможные меры по устранению уязвимости
Использование рекомендаций:
Для Exim:
https://www.exim.org/static/doc/security/CVE-2020-qualys/CVE-2020-28019-BDATA.txt

Для РЕД ОС:
http://repo.red-soft.ru/redos/7.2c/x86_64/updates/

Для Debian GNU/Linux:
https://security-tracker.debian.org/tracker/CVE-2020-28019

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4934-1

Для ОС Astra Linux:
использование рекомендаций производителя:
https://wiki.astralinux.ru/pages/viewpage.action?pageId=47416144
https://wiki.astralinux.ru/astra-linux-se16-bulletin-20210730SE16
https://wiki.astralinux.ru/astra-linux-se81-bulletin-20211019SE81
https://wiki.astralinux.ru/astra-linux-se47-bulletin-2022-0114SE47

Для ОСОН Основа:
Обновление программного обеспечения exim4 до версии 4.92-8+deb10u6
Статус уязвимости Подтверждена производителем
Наличие эксплойта Существует в открытом доступе
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация Данные уточняются
Последние изменения